Katello - Bug #24188

RH Repositories page ostree filter shows no results
07/06/2018 07:00 PM - Andrew Kofink

Status: Closed
Priority: Normal
Assignee: Partha Aji
Category: Repositories
Target version: Katello 3.7.1
Difficulty: Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: 1600222 Red Hat JIRA:
Pull request: https://github.com/Katello/katello/pull/754
Description
Reproduce:

Have some OSTree repositories provided by subscriptions in the current organization
Navigate to RH Repos page
Select "OSTree" from the filter dropdown

Expected:
OSTree repositories are shown. Perhaps the following query?

GET "/katello/api/v2/repository_sets?organization_id=l&per_page=20&search=((label+~+ostree))"
Actual:
GET "/katello/api/v2/repository_sets?organization_id=1&per_page=20&search=((name+~+ostree))"

Found in nightly

Associated revisions

Revision 54437044 - 07/20/2018 03:31 PM - Partha Aji
Fixes #24188 - Filter by OSTree on RH Repos
This commit corrects the 'scope search' parameter

used by the "Filter by" dropdown on the RH Repos page
to search OSTree and other content types.

History

#1 - 07/11/2018 06:06 PM - Justin Sherrill

- Target version set to Katello 3.7.1

#2 - 07/11/2018 06:07 PM - Andrew Kofink
- Bugzilla link set to 1600222

#3 - 07/19/2018 10:29 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Partha Aji

- Pull request https://github.com/Katello/katello/pull/7545 added

#4 - 07/23/2018 06:33 AM - Partha Aji
- Status changed from Ready For Testing to Closed

Applied in changeset katello|54437044ca53d92e69ab9eae77f059a38a7d53a2.
